# List Target Values

Get list of target values

Endpoint: GET /target_values
Version: 3.0.1807
Security: Auth0

## Security:

  - `Auth0` (unknown)
    oauth2 scopes: offline_access, manage:services

## Query parameters:

  - `dimension` (string)
    Target dimension code

  - `name` (string)
    Search name

  - `page_limit` (integer)
    Number of elements in the collection to retrieve

  - `page_offset` (integer)
    Index of the first element in the collection to retrieve

  - `sort_by` (string)
    The field to sort by. You can use any field name in ascending or descending order.
For ascending order, use the field name directly, e.g., `id`. 
For descending order, prefix the field name with a hyphen (`-`), e.g., `-id`.

## Response 200:

  - `200` (unknown)
    List target values response

## Response 200 fields (application/json):

  - `data` (array)

  - `data.id` (number)

  - `data.dimension_id` (number)

  - `data.dimension_code` (string)

  - `data.parent_value_id` (number)

  - `data.name` (string)

  - `data.value` (number)

  - `data.code` (string)

  - `data.is_targetable` (boolean)

  - `data.full_path` (string)

  - `meta` (object)

  - `meta.status` (string, required)
    The status of the response, indicating success or failure.
    Example: success

  - `meta.count` (integer, required)
    The number of items returned in the current response.
    Example: 10

  - `meta.total_count` (integer)
    The total number of items available in the dataset.
    Example: 100

  - `meta.offset` (integer)
    The offset from the start of the dataset, used for pagination.
    Example: 0

  - `meta.next_page` (string)
    The URL to fetch the next page of results.

  - `meta.prev_page` (string)
    The URL to fetch the previous page of results.

## Response 400:

  - `400` (unknown)
    Error response

## Response 400 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 401:

  - `401` (unknown)
    Error response

## Response 401 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 403:

  - `403` (unknown)
    Error response

## Response 403 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

